Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.registry
Class GameData

    java.lang.Object
      cpw.mods.fml.common.registry.GameData

    public class GameData

extends Object

Constructor Summary
`GameData()`

Method Summary
`static Set<ItemData>` | `buildWorldItemData(NBTTagList modList)`
`static com.google.common.collect.MapDifference<Integer,ItemData>` | `gateWorldLoadingForValidation()`
`static void` | `initializeServerGate(int gateCount)` Initialize the server gate
`static void` | `newItemAdded(Item item)`
`static void` | `releaseGate(boolean carryOn)`
`static void` | `validateWorldSave(Set<ItemData> worldSaveItems)`
`static void` | `writeItemData(NBTTagList itemList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GameData

    public GameData()

Method Detail

### newItemAdded

    public static void newItemAdded(Item item)

### validateWorldSave

    public static void validateWorldSave(Set<ItemData> worldSaveItems)

### writeItemData

    public static void writeItemData(NBTTagList itemList)

### initializeServerGate

    public static void initializeServerGate(int gateCount)

  Initialize the server gate

  Parameters:
    `gateCount` - the countdown amount. If it's 2 we're on the client and the client and server will wait at the latch. 1 is a server and the server will proceed

### gateWorldLoadingForValidation

    public static com.google.common.collect.MapDifference<Integer,ItemData> gateWorldLoadingForValidation()

### releaseGate

    public static void releaseGate(boolean carryOn)

### buildWorldItemData

    public static Set<ItemData> buildWorldItemData(NBTTagList modList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD